__splice_from_pipe
Prev | Chapter 6. splice API | Next

## Name

__splice_from_pipe — splice data from a pipe to given actor

## Synopsis

`ssize_t __splice_from_pipe (` | struct pipe_inode_info * | pipe,
| struct splice_desc * | sd,
| splice_actor * | actor`)`;

## Arguments

`pipe`

  pipe to splice from

`sd`

  information to `actor`

`actor`

  handler that splices the data

## Description

This function does little more than loop over the pipe and call `actor` to do the actual moving of a single struct pipe_buffer to the desired destination. See pipe_to_file, pipe_to_sendpage, or pipe_to_user.

Prev | Up | Next
generic_file_splice_read | Home | splice_from_pipe